Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.selector
Class MoveFactorySelector

    java.lang.Object
      org.drools.planner.core.localsearch.decider.selector.AbstractSelector
          org.drools.planner.core.localsearch.decider.selector.MoveFactorySelector

All Implemented Interfaces:
  DeciderAware, Selector, LocalSearchSolverLifecycleListener

    public class MoveFactorySelector

extends AbstractSelector

Field Summary
`protected MoveFactory` | `moveFactory`
`protected boolean` | `shuffle`

Fields inherited from class org.drools.planner.core.localsearch.decider.selector.AbstractSelector
`decider, logger`

Constructor Summary
`MoveFactorySelector()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`Iterator<Move>` | `moveIterator(LocalSearchStepScope localSearchStepScope)`
`List<Move>` | `selectMoveList(LocalSearchStepScope localSearchStepScope)`
`void` | `setDecider(Decider decider)`
`void` | `setMoveFactory(MoveFactory moveFactory)`
`void` | `setShuffle(boolean shuffle)`
`void` | `solvingEnded(LocalSearchSolverScope localSearchSolverScope)`
`void` | `solvingStarted(LocalSearchSolverScope localSearchSolverScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### moveFactory

    protected MoveFactory moveFactory

### shuffle

    protected boolean shuffle

Constructor Detail

### MoveFactorySelector

    public MoveFactorySelector()

Method Detail

### setMoveFactory

    public void setMoveFactory(MoveFactory moveFactory)

### setShuffle

    public void setShuffle(boolean shuffle)

### setDecider

    public void setDecider(Decider decider)

  Specified by:
    `setDecider` in interface `DeciderAware`
  Overrides:
    `setDecider` in class `AbstractSelector`

### solvingStarted

    public void solvingStarted(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingStarted` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSelector`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `beforeDeciding` in class `AbstractSelector`

### moveIterator

    public Iterator<Move> moveIterator(LocalSearchStepScope localSearchStepScope)

### selectMoveList

    public List<Move> selectMoveList(LocalSearchStepScope localSearchStepScope)

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `stepDecided` in class `AbstractSelector`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `stepTaken` in class `AbstractSelector`

### solvingEnded

    public void solvingEnded(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingEnded` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.